Ticket #41037

Fixed mouse not showing up properly when the game becomes focused or unfocused in fullscreen mode

Open Date: 2020-12-08 19:55 Last Update: 2021-03-14 07:31

Reporter:
Owner:
(None)
Type:
Status:
Open
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
1

Details

just a patch from one of my friends as he let me add this to zandronum.

This fixes cursor not showing up on full screen, even when pressing windows key and opening other apps.

Ticket History (3/6 Histories)

2020-12-08 19:55 Updated by: doomjoshuaboy
  • New Ticket "Fixed mouse not showing up properly when the game becomes focused or unfocused in fullscreen mode" created
2020-12-09 03:45 Updated by: None
Comment

Thanks for the patch! Some questions:

- Since the changes are apparently in GZDoom code: Is this something that also happens in GZDoom 1.8.6.? If so, did GZDoom fix this by now? In that case we should backport the GZDoom fix.

- How to reproduce the problem?

2020-12-09 07:10 Updated by: doomjoshuaboy
Comment

Reply To (Anonymous)

Thanks for the patch! Some questions: - Since the changes are apparently in GZDoom code: Is this something that also happens in GZDoom 1.8.6.? If so, did GZDoom fix this by now? In that case we should backport the GZDoom fix. - How to reproduce the problem?

Well none apparently as they forgot this through out all gzdoom till 4.0 as they changed most of the codes during their release.

As you can see I had no mouse cursor when I pressed windows key or ctrl, alt, delete even in a console and chat, but not the menu. I had to click an outside window to get my cursor back.

2020-12-14 06:12 Updated by: torr_samaho
Comment

Can you post step by step instructions on how to reproduce the problem? So far I couldn't reproduce it on my end to test the fix.

2021-03-14 07:31 Updated by: doomjoshuaboy
Comment

1. I startup Zandronum with an iWad. 2. when I start a game with a map and you go to the console or start key it should appear a mouse cursor.

Attachment File List

  • mouse_focusing_bug.patch(2KB)
    • Fixed mouse not showing up properly when the game becomes focused or unfocused in fullscreen mode

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login